#!/bin/sh

# Purpose: give feedback to mrtg about the given device we are monitoring,
#  will ONLY work on local net's via hub
# (I use it to monitor a hub'ed DMZ with three servers and a router)
#
# Author: Torgeir Hansen <torgeir@trenger.ro>


# Usage: macwatch.sh [macwatch_logfile]
#  i.e. macwatch.sh /var/log/macwatch.eth0_gw

# Credits: the guy(s) who made the iptables-accounting script for mrtg, 
#		from which I stole the uptime-part :)

if [ "$1" = "" ]; then
	FILE="/var/log/wan_usage.db";
else
	FILE="$1";
fi

if [ ! -f "$FILE" ]; then
	echo "Could not find file ($FILE)!"
	exit 1
fi

cat $FILE
# stolen from the iptables-accounting script :>
uptime |cut -b 13-27
hostname --fqdn
echo

